#

API Docs for: 1.6.6
Show: Inherited Protected Private Deprecated

# File: /Users/Dave/Sites/d3plus/src/object/validate.coffee

    ###*
    # This function returns true if the variable passed is a literal javascript keyed Object. It's a small, simple function, but it catches some edge-cases that can throw off your code (such as Arrays and `null`).
    # @method d3plus.object.validate
    # @for d3plus.object
    # @param obj {Object} The object to validate.
    # @return {Boolean}
    ###
    module.exports = (obj) ->
      obj isnt null and typeof obj is "object" and (obj not instanceof Array)